DEV: Remove old backward-compatibility code

DEV: Remove old backward-compatibility code

diff --git a/assets/javascripts/discourse-assign/routes/user-activity-assigned.js.es6 b/assets/javascripts/discourse-assign/routes/user-activity-assigned.js.es6
index d4ab195..1171434 100644
--- a/assets/javascripts/discourse-assign/routes/user-activity-assigned.js.es6
+++ b/assets/javascripts/discourse-assign/routes/user-activity-assigned.js.es6
@@ -1,5 +1,4 @@
 import UserTopicListRoute from "discourse/routes/user-topic-list";
-import { ListItemDefaults } from "discourse/components/topic-list-item";
 
 export default UserTopicListRoute.extend({
   userActionType: 16,
@@ -22,12 +21,8 @@ export default UserTopicListRoute.extend({
   },
 
   renderTemplate() {
-    // TODO: This has to be removed when 2.3 becomes the new stable version.
-    const template = ListItemDefaults
-      ? "user-assigned-topics"
-      : "user-topics-list";
     this.render("user-activity-assigned");
-    this.render(template, { into: "user-activity-assigned" });
+    this.render("user-assigned-topics", { into: "user-activity-assigned" });
   },
 
   setupController(controller, model) {

GitHub sha: a6df22bb

1 Like